
%define		xfce_version	4.4.0
Summary:	Xarchiver - a GTK+3 frontend to popular compression formats
Summary(pl.UTF-8):	Xarchiver - nakładka GTK+3 na popularne formaty kompresji
Name:		Xarchiver
Version:	0.5.4.25
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	https://github.com/ib/xarchiver/archive/%{version}/xarchiver-%{version}.tar.gz
# Source0-md5:	7c0119f53e530f31bb3b16225f0cef74
Patch0:		%{name}-desktop.patch
URL:		https://github.com/ib/xarchiver/wiki
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	gtk+3-devel >= 3.10
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xarchiver is a GTK+3 frontend to 7z, zip, rar, tar, bzip2, gzip, arj
and rpm (open and extract only). Xarchiver allows to create, add,
extract and delete files in the above formats. 7z, zip, rar and arj
password protected archives are supported.

%description -l pl.UTF-8
Xarchiver to nakładka GTK+3 na 7z, zip, rar, tar, bzip2, gzip, arj i
rpm (tylko otwieranie i rozpakowywanie). Xarchiver umożliwia
tworzenie, dodawanie, rozpakowywanie oraz usuwanie plików w powyższych
formatach. Obsługuje również archiwa 7z, zip, rar i arj zabezpieczone
hasłem.

%prep
%setup -q -n xarchiver-%{version}
%patch -P 0 -p1
mv -f po/pt{_PT,}.po
sed -e 's/pt_PT/pt/' -i po/LINGUAS

%build
mkdir m4
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_docdir}/xarchiver/{ChangeLog,COPYING,README}

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ltg

%find_lang xarchiver

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f xarchiver.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/xarchiver
%attr(755,root,root) %{_libexecdir}/thunar-archive-plugin/*.tap
%docdir %{_docdir}/xarchiver
%{_docdir}/xarchiver
%{_iconsdir}/hicolor/*/apps/xarchiver.png
%{_iconsdir}/hicolor/scalable/apps/xarchiver.svg
%{_pixmapsdir}/xarchiver
%{_desktopdir}/*.desktop
%{_mandir}/man1/xarchiver.1*
%changelog
* Fri Mar 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Xarchiver.git;a=log;h=master

* Wed Mar 26 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f47401e
- up to 0.5.4.25

* Sun Mar 23 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cad09a1
- up to 0.5.4.24

* Sat Mar 02 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fb2968d
- up to 0.5.4.23

* Mon Jul 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a1d235c
- up to 0.5.4.21

* Fri Apr 12 2019 Adam Gołębiowski <adamg@pld-linux.org> b75471a
- updated to 0.5.4.14

* Mon Jun 11 2018 Jan Rękorajski <baggins@pld-linux.org> b366cb7
- up to 0.5.4.13

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> ac462fe
- up to 0.5.4 (28/09/2014)

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 14ddb2b
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7f41249
- updated gettext BR

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 4514fbe
- up to 0.5.3
- fixed format string errors

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> b29cabf
- release 6

* Sat Jul 09 2011 Elan Ruusamäe <glen@pld-linux.org> 4def0de
- current working url

* Sat Jul 09 2011 Elan Ruusamäe <glen@pld-linux.org> 4c6a0de
- desktop-file-validate: remove deprecated Encoding key

* Sat Jul 09 2011 Elan Ruusamäe <glen@pld-linux.org> 8074d42
- remove multipart/x-zip from .desktop file (makes no sense according to update-desktop-database)

* Sat Jul 09 2011 Elan Ruusamäe <glen@pld-linux.org> 3046b56
- desktop fix:
  # update-desktop-database
  Warning in file "/usr/share/applications/xarchiver.desktop": usage of MIME type "multipart/x-zip" is discouraged ("multipart" is a media type that probably does not make sense in this context)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 793f052
- Requires(post,postun): gtk-update-icon-cache

* Sat May 15 2010 sparky <sparky@pld-linux.org> e0ce55c
- BR: gettext-devel

* Tue May 11 2010 Jan Rękorajski <baggins@pld-linux.org> 56b8cb9
- rel 3
- desktop file cleanup

* Sat Nov 29 2008 Adam Gołębiowski <adamg@pld-linux.org> 9ce8db2
- locale fix; release 2

* Sat Nov 29 2008 Adam Gołębiowski <adamg@pld-linux.org> 63234e2
- updated to 0.5.2

